Bug 10670 - Subtitle hotkeys 'z' and 'x' don't work
: Subtitle hotkeys 'z' and 'x' don't work
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mplayer)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-17 00:37 by
Modified: 2007-06-14 12:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-17 00:37:40
Клавиши задержки субтитров не изменяют значение задержки. Неизменно
отображается
начальное значение задержки (0 либо выставленное с помощью -subdelay). Опция
-subdelay при этом работает нормально.
Субтитры - в формате .srt

PS. Нигде (ака в man) также не указывается, что _задержка_ субтитров задаётся
отрицательным числом.
Steps to Reproduce:
1. Run mplayer to show video with subtitles
2. Press 'z' or 'x'

Actual Results:  
Subdelay value is not changed

Expected Results:  
Subdelay value is changed
------- Comment #1 From 2007-01-17 14:30:54 -------
(In reply to comment #0)
> Клавиши задержки субтитров не изменяют значение задержки. Неизменно 
отображается
> начальное значение задержки (0 либо выставленное с помощью -subdelay). Опция
> -subdelay при этом работает нормально.
> Субтитры - в формате .srt

Насколько я понял, подобная функциональность работает только с ASS-субтитрами 
(возможно, ещё с какими-то, но не с .srt)

> PS. Нигде (ака в man) также не указывается, что _задержка_ субтитров задаётся
> отрицательным числом.

из mplayer(1):
......
-subdelay <sec>
              Delays subtitles by <sec> seconds.  Can be negative.
......
-subdelay <сек>
              Отображает субтитры <сек> секунд.  Может быть отрицательным.
......
> Steps to Reproduce:
> 1. Run mplayer to show video with subtitles
> 2. Press 'z' or 'x'

Для других видов субтитров субтитров поддерживается:
.....
y and g
                   Step forward/backward in the subtitle list.
.....
y и g
                   Перемещение вперед/назад по списку субтитров.
.....

См. также
subedit.pl --help
(из пакета mplayer-tools)
с его помощью можно исправить (в том числе сделать shift) файл .srt
------- Comment #2 From 2007-01-17 15:26:29 -------
(In reply to comment #1)
> > Клавиши задержки субтитров не изменяют значение задержки. Неизменно 
> отображается
> > начальное значение задержки (0 либо выставленное с помощью -subdelay). Опция
> > -subdelay при этом работает нормально.
> > Субтитры - в формате .srt
> 
> Насколько я понял, подобная функциональность работает только с ASS-субтитрами 
> (возможно, ещё с какими-то, но не с .srt)

Можно где-нибудь задокументировать?
У меня есть подозрение, что в одной из pre-версий под Win отображавшееся
значение subdelay для srt при использовании этих кнопок менялось. Возможно, что
реальное значение оставалось неизменным.

> > PS. Нигде (ака в man) также не указывается, что _задержка_ субтитров
> > задаётся отрицательным числом.
> 
> из mplayer(1):
> ......
> -subdelay <sec>
>               Delays subtitles by <sec> seconds.  Can be negative.

Имелось в виду "для того, чтобы показ субтитров шёл на 10 секунд _позднее_,
следует использовать -subdelay -10".

> См. также
> subedit.pl --help
> (из пакета mplayer-tools)
> с его помощью можно исправить (в том числе сделать shift) файл .srt

Спасибо. Хотя свой велосипед (также перловый) я уже изобрёл :) А заодно и
велосипед xss2srt (XombieSub).
------- Comment #3 From 2007-01-17 16:01:19 -------
(In reply to comment #2)
> (In reply to comment #1)
> > > Клавиши задержки субтитров не изменяют значение задержки. Неизменно 
> > отображается
> > > начальное значение задержки (0 либо выставленное с помощью -subdelay). 
Опция
> > > -subdelay при этом работает нормально.
> > > Субтитры - в формате .srt
> > 
> > Насколько я понял, подобная функциональность работает только с 
ASS-субтитрами 
> > (возможно, ещё с какими-то, но не с .srt)
> 
> Можно где-нибудь задокументировать?

Можно. После того, как проверить поведение всех поддерживаемых субтитров. С 
радостью приму от вас такой отчёт (если вы возмётесь его подготовить) и добавлю 
уточнение в описание -subdelay. У меня нет возможности сделать такую тотальную 
проверку :(

> У меня есть подозрение, что в одной из pre-версий под Win отображавшееся
> значение subdelay для srt при использовании этих кнопок менялось. Возможно, 
что
> реальное значение оставалось неизменным.

"Подозрения" трудно проверить:)

> 
> > > PS. Нигде (ака в man) также не указывается, что _задержка_ субтитров
> > > задаётся отрицательным числом.
> > 
> > из mplayer(1):
> > ......
> > -subdelay <sec>
> >               Delays subtitles by <sec> seconds.  Can be negative.
> 
> Имелось в виду "для того, чтобы показ субтитров шёл на 10 секунд _позднее_,
> следует использовать -subdelay -10".

Из mplayer-doc-en:
....
-subdelay sec
 Delays subtitles by sec seconds. Can be negative. The value is added to 
movie's time position counter.
....

Возможно, имеет смысл последнее уточняющее предложение добавить в man?

> > См. также
> > subedit.pl --help
> > (из пакета mplayer-tools)
> > с его помощью можно исправить (в том числе сделать shift) файл .srt
> 
> Спасибо. Хотя свой велосипед (также перловый) я уже изобрёл :) А заодно и
> велосипед xss2srt (XombieSub).

Могу включить ваш xss2srt (если он будет откликаться на --help и хотя бы 
строчку описания его)
------- Comment #4 From 2007-01-17 20:49:48 -------
(In reply to comment #3)
> > > > Клавиши задержки субтитров не изменяют значение задержки. Неизменно 
> > > > отображается начальное значение задержки (0 либо выставленное с помощью
> > > > -subdelay). 
> > > > Субтитры - в формате .srt
> > > 
> > > Насколько я понял, подобная функциональность работает только с 
> > > ASS-субтитрами (возможно, ещё с какими-то, но не с .srt)

Проверил 'a' 'z' на ASS и SMI. Ни там, ни там не работает :(

> > У меня есть подозрение, что в одной из pre-версий под Win отображавшееся
> > значение subdelay для srt при использовании этих кнопок менялось. Возможно, 
> что
> > реальное значение оставалось неизменным.

Проверил под wine. Работает на srt (изменяются и отображаемое значение, и
реальное время показа). ass проверить не удаётся - не цепляются.
Это был (стянутый, увы, не мной, поэтому не знаю откуда) mplayer.exe из архива
MPlayer-mingw32-1.0pre8.zip, говорящий про себя:
MPlayer 1.0pre8-3.4.2 (C) 2000-2006 MPlayer Team

> > Имелось в виду "для того, чтобы показ субтитров шёл на 10 секунд _позднее_,
> > следует использовать -subdelay -10".
> 
> Из mplayer-doc-en:
> ....
> -subdelay sec
>  Delays subtitles by sec seconds. Can be negative. The value is added to 
> movie's time position counter.
> ....
> 
> Возможно, имеет смысл последнее уточняющее предложение добавить в man?

Опять та же хитрая логика - получается, что position counter уменьшается с
максимального значения в начале фильма до нуля в конце. Либо я не могу осознать
до конца, как вычисляется время показа конкретного субтитра :)
Сейчас большему значению subdelay (паузы!) соответствует более раннее (!) время
показа. Где-то понятие паузы инвертировали? (Допускаю, что у меня в голове.)

> > > См. также
> > > subedit.pl --help
> > > (из пакета mplayer-tools)
> > > с его помощью можно исправить (в том числе сделать shift) файл .srt

Посмотрел. Видимо, именно его мне и не хватило во время оно. Хотелось бы
передать автору предложение сделать --help поведением по умолчанию. (А то при
простом запуске скрипт чего-то ждёт, ждёт... ;)

> Могу включить ваш xss2srt (если он будет откликаться на --help и хотя бы 
> строчку описания его)

Не настолько он ещё допилен - всякие левые символы (специфически записанные в
xss) не переводит. Да и сделан явно без соблюдения культуры кода perl :(
------- Comment #5 From 2007-02-15 14:11:15 -------
Попробуйте с gmplayer (или "mplayer -gui") - у меня с этим даже с 
srt-субтитрами 'x' и 'z' работают. Почему с mplayer не работает - пока не 
знаю :(
------- Comment #6 From 2007-05-09 00:43:12 -------
fixed in upstream